package com.cku.model;

public class CkuDvUserModel {

	
	private String userName;

	private String userEmail;

	public String getUserEmail() {
		return userEmail;
	}

	public void setUserEmail(String userEmail) {
		this.userEmail = userEmail;
	}

	private String passWord;
	
	private String userId;

	private String ckuId;

	private Boolean isKennel;
	
	private String memberName;//会员姓名

	
	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getPassWord() {
		return passWord;
	}

	public void setPassWord(String passWord) {
		this.passWord = passWord;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getCkuId() {
		return ckuId;
	}

	public void setCkuId(String ckuId) {
		this.ckuId = ckuId;
	}

	public Boolean getKennel() {
		return isKennel;
	}

	public void setKennel(Boolean kennel) {
		isKennel = kennel;
	}

	public String toOauthString(){
		String result = "{\"openId\":\""+userId+"\",\"username\":\""+userName+"\",\"userEmail\":\""+userEmail+"\",\"isKennel\":"+isKennel.toString()+"}";
		return result;
	}

	public String getMemberName() {
		return memberName;
	}

	public void setMemberName(String memberName) {
		this.memberName = memberName;
	}
	
	
}

